﻿using System;
using System.Collections.Generic;

using Xamarin.Forms;
using System.Diagnostics;//⑬
using System.Net.Http;//⑭
using System.Text;//⑮
using System.Threading.Tasks;//⑯
using Newtonsoft.Json;//⑰
using Newtonsoft.Json.Linq;//⑱
using System.Collections;//⑲

namespace ZipCode
{
	public partial class CityListPage : ContentPage
	{
		HttpClient _client;//⑳
		string _state;//㉑

		public CityListPage(string state)//㉒
		{
			InitializeComponent();
			_client = new HttpClient();//㉓
			_state = state;//㉔
			RefreshDataAsync(state);//㉕
			ToolbarItems.Add(new ToolbarItem//⑱
			{//
				Text = "名簿",//⑲
				Command = new Command(() => Navigation.PushAsync(new PersonListPage()//⑳
				{//
					Title = "名簿"//㉑
				}))//
			});//
		}

		public async void RefreshDataAsync(string keyword)//㉖
		{//
			IEnumerable<NameItem> items = new List<NameItem>();//㉗
			string str = System.Net.WebUtility.UrlEncode(keyword);//㉘

			var uri = new Uri(string.Format("http://api.thni.net/jzip/X0401/JSON/J/{0}/city_index.js", str));//㉙
			try//㉚
			{//
				var response = await _client.GetAsync(uri);//㉛
				if (response.IsSuccessStatusCode)//㉜
				{//
					var content = await response.Content.ReadAsStringAsync();//㉝
					items = JsonConvert.DeserializeObject<List<NameItem>>(content);//㉞
				}//
			}//
			catch (Exception ex)//㉟
			{//
				Debug.WriteLine(@"ERROR {0}", ex.Message);//㊱
			}//

			_listView.ItemsSource = items;//㊲
		}//

		void OnItemSelected(object sender, SelectedItemChangedEventArgs e)//㊳
		{//
			var item = e.SelectedItem as NameItem;//㊷
			Navigation.PushAsync(new StreetListPage(_state, item.Name)//㊸
			{
				Title = "町村検索"//㊹
			});
		}//
	}
}