﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using Xamarin.Forms;

namespace ZipCode
{
	public partial class StateListPage : ContentPage
	{
		ObservableCollection<NameItem> _items = new ObservableCollection<NameItem>();
		string[] _name = { "北海道", "青森県", "岩手県", "宮城県", "秋田県", "山形県", "福島県", "茨城県", "栃木県", "群馬県", "埼玉県", "千葉県", "東京都", "神奈川県", "新潟県", "富山県", "石川県", "福井県", "山梨県", "長野県", "岐阜県", "静岡県", "愛知県", "三重県", "滋賀県", "京都府", "大阪府", "兵庫県", "奈良県", "和歌山県", "鳥取県", "島根県", "岡山県", "広島県", "山口県", "徳島県", "香川県", "愛媛県", "高知県", "福岡県", "佐賀県", "長崎県", "熊本県", "大分県", "宮崎県", "鹿児島県", "沖縄県" };
		string[] _kana = { "ホッカイドウ", "アオモリケン", "イワテケン", "ミヤギケン", "アキタケン", "ヤマガタケン", "フクシマケン", "イバラキケン", "トチギケン", "グンマケン", "サイタマケン", "チバケン", "トウキョウト", "カナガワケン", "ニイガタケン", "トヤマケン", "イシカワケン", "フクイケン", "ヤマナシケン", "ナガノケン", "ギフケン", "シズオカケン", "アイチケン", "ミエケン", "シガケン", "キョウトフ", "オオサカフ", "ヒョウゴケン", "ナラケン", "ワカヤマケン", "トットリケン", "シマネケン", "オカヤマケン", "ヒロシマケン", "ヤマグチケン", "トクシマケン", "カガワケン", "エヒメケン", "コウチケン", "フクオカケン", "サガケン", "ナガサキケン", "クマモトケン", "オオイタケン", "ミヤザキケン", "カゴシマケン", "オキナワケン" };

		public StateListPage()
		{
			InitializeComponent();

			for (int i = 0; i < _name.Length; i++)
				_items.Add(new NameItem { Name = _name[i], Kana = _kana[i] });
			_listView.ItemsSource = _items;
			ToolbarItems.Add(new ToolbarItem//⑱
			{//
				Text = "名簿",//⑲
				Command = new Command(() => Navigation.PushAsync(new PersonListPage()//⑳
				{//
					Title = "名簿"//㉑
				}))//
			});//
		}

		void OnItemSelected(object sender, SelectedItemChangedEventArgs e)
		{
			var item = e.SelectedItem as NameItem;//㊴
			Navigation.PushAsync(new CityListPage(item.Name)//㊵
			{//
				Title = "市区郡検索"//㊶
			});//
		}
	}
}
